BlackStyleSwaptionEngine< Spec > Class Template Reference

`#include <ql/pricingengines/swaption/blackswaptionengine.hpp>`

Inheritance diagram for BlackStyleSwaptionEngine< Spec >:
[legend]

## Public Types

enum | CashAnnuityModel { SwapRate, DiscountCurve }
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Public Member Functions

| BlackStyleSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, Volatility vol, const DayCounter &dc=Actual365Fixed(), Real displacement=0.0, CashAnnuityModel model=DiscountCurve)
| BlackStyleSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< Quote > &vol, const DayCounter &dc=Actual365Fixed(), Real displacement=0.0, CashAnnuityModel model=DiscountCurve)
| BlackStyleSwaptionEngine (const Handle< YieldTermStructure > &discountCurve, const Handle< SwaptionVolatilityStructure > &vol, CashAnnuityModel model=DiscountCurve)
void | calculate () const
Handle< YieldTermStructure > | termStructure ()
Handle< SwaptionVolatilityStructure > | volatility ()
Public Member Functions inherited from GenericEngine< Swaption::arguments, Swaption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Protected Attributes inherited from GenericEngine< Swaption::arguments, Swaption::results >
Swaption::arguments | arguments_
Swaption::results | results_

## Detailed Description

### template<class Spec>
class QuantLib::detail::BlackStyleSwaptionEngine< Spec >

Generic Black-style-formula swaption engine This is the base class for the Black and Bachelier swaption engines